<?php
namespace App\Bsp\HotUA\Lines\Types;

/**
 * Only letters, UT8 compatible
 * @author Lucian Sirbu
 *
 */
class Letters extends \App\Utils\BaseParser\TextParser\BlockRegexpAbstract
{
	protected $extractRegexp = "/^(?P<rawData>([a-zA-Z]__LENGHTS__|[\s]__LENGHTS__))/";	// ASCII only

	/**
	 * (non-PHPdoc)
	 * @see \App\Utils\BaseParser\TextParser\BlockRegexpAbstract::_extract_value()
	 */
	protected function _extract_value(\App\Utils\BaseParser\TextParser\ExtractedBlock $ret, $originalRawData)
	{
		$ret = parent::_extract_value($ret, $originalRawData);
		if( trim($ret->extractedData)=='') {
			$ret->extractedData = '';
		}

		return $ret;
	}
}
